View Issue Details

IDProjectCategoryView StatusLast Update
0004995SOGoActiveSyncpublic2020-03-30 08:55
Reporterbuggy09 Assigned Toludovic  
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version18.04 LTS
Product Version4.3.0 
Fixed in Version4.3.1 
Summary0004995: Parsing of XML Document Failed
Description

After last sogo update (27.03.2020 nightly build) Outlook 2016 (EAS client) can't sync for two users any more, with the error Parsing of XML Document Failed. CPU consumption raises signigicantly.

I tried to reset EAS cache resetdevice and resetfolder with sogo-tool multiple times, but it didn't help.
Also tried to decrease SOGoMaximumSyncResponseSize to 512 (from 2048), and SOGoMaximumSyncWindowSize to 99 (from commented/default) with no success.

I also have xml file created in /tmp when DebuggingEAS was turned on, if needed.

/etc/sogo/sogo.log

Mar 28 11:51:37 sogod [21294]: <0x0x55b672a4aea0[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
Mar 28 11:51:37 sogod [21294]: [ERROR] <0x0x55b672dde9a0[NSDataMalloc]> xml2wbxmlFromContent: failed: Parsing of XML Document Failed

Mar 28 11:51:37 sogod [21294]: mx.naviscon.net "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user.name@domain.com&DeviceId=986A653E6807473281FE6534B0532160&DeviceType=WindowsOutlook15 HTTP/1.0" 200 0/1088 1.711 - - 0
Mar 28 11:51:38 sogod [21294]: <0x0x55b67231cce0[SOGoActiveSyncDispatcher]> Change detected using Ping, we let the EAS client know to send a Sync.
Mar 28 11:51:38 sogod [21294]: mx.naviscon.net "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Ping&User=user.name@domain.com&DeviceId=986A653E6807473281FE6534B0532160&DeviceType=WindowsOutlook15 HTTP/1.0" 200 101/604 0.922 - - 0
Mar 28 11:51:39 sogod [21294]: <0x0x55b6729d50a0[SOGoActiveSyncDispatcher]> Cache cleanup needed for device 986A653E6807473281FE6534B0532160 - user: user.name@domain.com syncKey: 235-43 cache: 21-64
Mar 28 11:51:39 sogod [21294]: <0x0x55b672fd4040[NGImap4Client]> Note: no key found for sorting, using 'DATE': (null)
Mar 28 11:51:39 sogod [21294]: <0x0x55b6729d50a0[SOGoActiveSyncDispatcher]> Change detected during Sync, we push the content.
Mar 28 11:51:39 sogod [21294]: mx.naviscon.net "POST /SOGo/Microsoft-Server-ActiveSync?Cmd=Sync&User=user.name@domain.com&DeviceId=986A653E6807473281FE6534B0532160&DeviceType=WindowsOutlook15 HTTP/1.0" 200 582830/1088 0.922 - - 0
Mar 28 11:51:40 sogod [21294]: <0x0x55b672aa5490[NGImap4Client]> Note: no key found for sorting, using 'DATE': (null)

Steps To Reproduce

EAS Sync issue started after yesterday's update (27.03.2020), but only for two users, other users are fine.

Tagseas, outlook

Activities

buggy09

buggy09

2020-03-28 07:35

reporter   ~0014241

Forgot to mention that mailbox start syncing and sync successfully first 10 messages, but then hangs with above errors always on the same mail. Even when I tried to remove that next mail message from the Inbox, it still hangs after same mail.

tfu

tfu

2020-03-28 12:12

reporter   ~0014242

Please provide the file created in /tmp.
You can set SOGoMaximumSyncWindowSize=1 to narrow down the problem. After reproducing the problem this parameter can be removed from sogo.conf.

buggy09

buggy09

2020-03-28 15:09

reporter  

mx_4495_242fd658_0.data (1,816,772 bytes)
buggy09

buggy09

2020-03-28 15:09

reporter   ~0014244

Here it is one of /tmp/mx.... file. There are several of them.

buggy09

buggy09

2020-03-30 05:02

reporter   ~0014245

Hi, more and more users have same issue, I have about 70 EAS users, is there anything I can do about this error ?
Is it possible to downgrade to the last working SOGO ?

IMAP works perfectly well for same mailboxes.
I tried to do xmllint validation of XML in question and they do have some validation/formating issues

Please help ! It is production mail server...

buggy09

buggy09

2020-03-30 08:42

reporter   ~0014246

Now it seems all users have same issue, CPU is at 100% all the time.

Related Changesets

sogo: master 18ffd1a7

2020-03-29 03:15:00

root

Details Diff
fix(eas): properly encode DisplayTo (fixes 0004995) Affected Issues
0004995
mod - ActiveSync/SOGoMailObject+ActiveSync.m Diff File

sogo: master 841d6896

2020-03-30 06:35:22

ludovic


Committer: GitHub Details Diff
Merge pull request 0000271 from tfux/4988

fix(eas): properly encode DisplayTo (fixes 0004995)
Affected Issues
0004995
mod - ActiveSync/SOGoMailObject+ActiveSync.m Diff File

Issue History

Date Modified Username Field Change
2020-03-28 07:08 buggy09 New Issue
2020-03-28 07:08 buggy09 Tag Attached: eas
2020-03-28 07:08 buggy09 Tag Attached: outlook
2020-03-28 07:35 buggy09 Note Added: 0014241
2020-03-28 12:12 tfu Note Added: 0014242
2020-03-28 15:09 buggy09 File Added: mx_4495_242fd658_0.data
2020-03-28 15:09 buggy09 Note Added: 0014244
2020-03-30 05:02 buggy09 Note Added: 0014245
2020-03-30 06:35 Changeset attached => sogo master 18ffd1a7
2020-03-30 06:35 ludovic Changeset attached => sogo master 841d6896
2020-03-30 06:35 ludovic Assigned To => ludovic
2020-03-30 06:35 ludovic Resolution open => fixed
2020-03-30 08:42 buggy09 Note Added: 0014246
2020-03-30 08:55 francis Status new => resolved
2020-03-30 08:55 francis Fixed in Version => 4.3.1